package ru.yandex.autotests.direct.web.objects.feeds;

import ru.yandex.autotests.direct.web.data.feeds.FeedSourceEnum;

/**
 * Created by aleran on 08.09.2015.
 */
public class FeedWeb {

    private Long feedId;
    private String name;
    private FeedSourceEnum source;
    private String url;
    private String login;
    private String password;
    private String feedFilePath;
    private String feedFileName;

    public Long getFeedId() {
        return feedId;
    }

    public void setFeedId(Long feedId) {
        this.feedId = feedId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public FeedSourceEnum getSource() {
        return source;
    }

    public void setSource(FeedSourceEnum source) {
        this.source = source;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getFeedFilePath() {
        return feedFilePath;
    }

    public void setFeedFilePath(String feedFilePath) {
        this.feedFilePath = feedFilePath;
    }

    public String getFeedFileName() {
        return feedFileName;
    }

    public void setFeedFileName(String feedFileName) {
        this.feedFileName = feedFileName;
    }
}
